Orxonox: orxonox::PongBat Class Reference

# orxonox::PongBat Class Reference

`#include <src/orxonox/objects/worldentities/PongBat.h>`

Inheritance diagram for orxonox::PongBat:

List of all members.

## Public Member Functions

virtual void | changedPlayer ()
float | getFieldHeight () const
float | getLength () const
float | getSpeed () const
virtual void | moveFrontBack (const Vector2 &value)
virtual void | moveRightLeft (const Vector2 &value)
| PongBat (BaseObject *creator)
void | registerVariables ()
void | setFieldHeight (float height)
void | setLength (float length)
void | setSpeed (float speed)
virtual void | tick (float dt)
| Gets called every frame.
virtual | ~PongBat ()

## Private Attributes

bool | bMoveLocal_
bool | bSteadiedPosition_
float | fieldHeight_
float | length_
float | movement_
float | speed_

## Constructor & Destructor Documentation

orxonox::PongBat::PongBat | ( | BaseObject * | creator | ) |

References bMoveLocal_, bSteadiedPosition_, fieldHeight_, length_, movement_, RegisterObject, registerVariables(), and speed_.

virtual orxonox::PongBat::~PongBat | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void orxonox::PongBat::changedPlayer | ( |  | ) | `[virtual]`

Reimplemented from orxonox::ControllableEntity.

References orxonox::ControllableEntity::setVelocity().

float orxonox::PongBat::getFieldHeight | ( |  | ) | const`[inline]`

float orxonox::PongBat::getLength | ( |  | ) | const`[inline]`

float orxonox::PongBat::getSpeed | ( |  | ) | const`[inline]`

void orxonox::PongBat::moveFrontBack | ( | const Vector2 & | value | ) | `[virtual]`

Reimplemented from orxonox::ControllableEntity.

References bMoveLocal_, and movement_.

void orxonox::PongBat::moveRightLeft | ( | const Vector2 & | value | ) | `[virtual]`

Reimplemented from orxonox::ControllableEntity.

References bMoveLocal_, and movement_.

void orxonox::PongBat::registerVariables | ( |  | ) |

Reimplemented from orxonox::ControllableEntity.

References fieldHeight_, length_, orxonox::Synchronisable::registerVariable(), and speed_.

Referenced by PongBat().

void orxonox::PongBat::setFieldHeight | ( | float | height | ) | `[inline]`

Referenced by orxonox::Pong::start().

void orxonox::PongBat::setLength | ( | float | length | ) | `[inline]`

Referenced by orxonox::Pong::start().

void orxonox::PongBat::setSpeed | ( | float | speed | ) | `[inline]`

Referenced by orxonox::Pong::start().

void orxonox::PongBat::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Reimplemented from orxonox::ControllableEntity.

References bMoveLocal_, bSteadiedPosition_, orxonox::clamp(), fieldHeight_, orxonox::WorldEntity::getOrientation(), orxonox::WorldEntity::getPosition(), orxonox::ControllableEntity::hasLocalController(), length_, movement_, orxonox::ControllableEntity::setPosition(), orxonox::ControllableEntity::setVelocity(), speed_, SUPER, and orxonox::MT_Type::Vector3.

## Member Data Documentation

bool orxonox::PongBat::bMoveLocal_`[private]`

Referenced by moveFrontBack(), moveRightLeft(), PongBat(), and tick().

bool orxonox::PongBat::bSteadiedPosition_`[private]`

Referenced by PongBat(), and tick().

float orxonox::PongBat::fieldHeight_`[private]`

Referenced by PongBat(), registerVariables(), and tick().

float orxonox::PongBat::length_`[private]`

Referenced by PongBat(), registerVariables(), and tick().

float orxonox::PongBat::movement_`[private]`

Referenced by moveFrontBack(), moveRightLeft(), PongBat(), and tick().

float orxonox::PongBat::speed_`[private]`

Referenced by PongBat(), registerVariables(), and tick().

The documentation for this class was generated from the following files:

- src/orxonox/objects/worldentities/PongBat.h
- src/orxonox/objects/worldentities/PongBat.cc